/* ----------------------------------------------------------------------------
 * ergoDOX : controller : MCP23018 specific exports : functions
 * ----------------------------------------------------------------------------
 * Copyright (c) 2012 Ben Blazak <benblazak.dev@gmail.com>
 * Released under The MIT License (MIT) (see "license.md")
 * Project located at <https://github.com/benblazak/ergodox-firmware>
 * ------------------------------------------------------------------------- */

#pragma once

#include <stdbool.h>
#include <stdint.h>
#include <util/twi.h>
#include "../../lib/teensy-2-0.h"  // `TWI_FREQ` defined in "teensy-2-0.c"
#include "../options.h"
#include "../matrix.h"

// --------------------------------------------------------------------

#define MCP23018_TWI_ADDRESS 0b0100000

// --------------------------------------------------------------------

uint8_t mcp23018_init(void);
uint8_t mcp23018_update_matrix( bool matrix[KB_ROWS][KB_COLUMNS] );
